curl --request DELETE \
--url https://api.extole.io/v7/report-runners/{reportRunnerId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v7/report-runners/{reportRunnerId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v7/report-runners/{reportRunnerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"created_date": "2025-10-24T02:00:00-07:00",
"deliver_empty_reports_to_sftp": true,
"enabled": true,
"execution_policy": "AWAIT_DATA",
"formats": [
"CSV"
],
"id": "<string>",
"merging_configuration": {
"deliverable_type": "ACCUMULATING",
"formats": [
"CSV"
],
"sort_by": [
"<string>"
],
"unique_by": [
"<string>"
]
},
"name": "<string>",
"parameters": {},
"pause_info": {
"description": "<string>",
"updated_date": "2025-10-24T09:00:00.000Z",
"user_id": "<string>"
},
"paused": {
"description": "<string>",
"updated_date": "2025-10-24T09:00:00.000Z",
"user_id": "<string>"
},
"report_name_pattern": "<string>",
"report_type": "<string>",
"report_type_name": "<string>",
"scopes": [
"CLIENT_ADMIN"
],
"sftp_report_name_pattern": "<string>",
"sftp_server_id": "<string>",
"tags": [
"<string>"
],
"type": "REFRESHING",
"updated_date": "2025-10-24T02:00:00-07:00",
"user_id": "<string>",
"expiration_ms": 123
}Delete a report runner
Permanently deletes the supplied report runner and cancels all pending executions. Returns the deleted record on success. Returns 404 report_runner_not_found if the id does not exist. Locked runners cannot be deleted via the REST API.
Authorizations
Path Parameters
The Extole unique report runner identifier.
Response
Deleted report runner.
- Option 1
- Option 2
Show child attributes
Show child attributes
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
AWAIT_DATA, IMMEDIATE CSV, HEADLESS_CSV, HEADLESS_PSV, JSON, JSONL, PSV, XLSX Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The report name pattern as configured: a literal value, or an expression (type:string) when defined dynamically. Runtime expressions use ReportRunnerExecutionContext.
CLIENT_ADMIN, CLIENT_SUPERUSER, CONSUMER_PUBLIC, USER_SUPPORT The sftp report name pattern as configured: a literal value, or an expression (type:string) when defined dynamically. Runtime expressions use ReportRunnerExecutionContext.
REFRESHING RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
